ClassLoader
Date: 2016-06-24

java.lang

## Class ClassLoader

- java.lang.Object
- - java.lang.ClassLoader

- Direct Known Subclasses:
    SecureClassLoader

      public abstract class ClassLoader
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ClassLoader()`
    `protected` | `ClassLoader(ClassLoader var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearAssertionStatus()`
    `protected Class` | `defineClass(String var0, byte[] var1, int var2, int var3)`
    `protected Class` | `defineClass(String var0, byte[] var1, int var2, int var3, ProtectionDomain var4)`
    `protected Package` | `definePackage(String var0, String var1, String var2, String var3, String var4, String var5, String var6, URL var7)`
    `protected Class` | `findClass(String var0)`
    `protected String` | `findLibrary(String var0)`
    `protected Class` | `findLoadedClass(String var0)`
    `protected URL` | `findResource(String var0)`
    `protected Enumeration` | `findResources(String var0)`
    `protected Class` | `findSystemClass(String var0)`
    `protected Package` | `getPackage(String var0)`
    `protected Package[]` | `getPackages()`
    `ClassLoader` | `getParent()`
    `URL` | `getResource(String var0)`
    `InputStream` | `getResourceAsStream(String var0)`
    `Enumeration` | `getResources(String var0)`
    `static ClassLoader` | `getSystemClassLoader()`
    `static URL` | `getSystemResource(String var0)`
    `static InputStream` | `getSystemResourceAsStream(String var0)`
    `static Enumeration` | `getSystemResources(String var0)`
    `Class` | `loadClass(String var0)`
    `protected Class` | `loadClass(String var0, boolean var1)`
    `protected void` | `resolveClass(Class var0)`
    `void` | `setClassAssertionStatus(String var0, boolean var1)`
    `void` | `setDefaultAssertionStatus(boolean var0)`
    `void` | `setPackageAssertionStatus(String var0, boolean var1)`
    `protected void` | `setSigners(Class var0, Object[] var1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassLoader

          protected ClassLoader()

    - #### ClassLoader

          protected ClassLoader(ClassLoader var0)

  - ### Method Detail

    - #### clearAssertionStatus

          public void clearAssertionStatus()

    - #### defineClass

          protected final Class defineClass(String var0,
                          byte[] var1,
                          int var2,
                          int var3)
                                     throws ClassFormatError

      Throws:
        `ClassFormatError`

    - #### defineClass

          protected final Class defineClass(String var0,
                          byte[] var1,
                          int var2,
                          int var3,
                          ProtectionDomain var4)
                                     throws ClassFormatError

      Throws:
        `ClassFormatError`

    - #### definePackage

          protected Package definePackage(String var0,
                              String var1,
                              String var2,
                              String var3,
                              String var4,
                              String var5,
                              String var6,
                              URL var7)

    - #### findClass

          protected Class findClass(String var0)
                             throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### findLibrary

          protected String findLibrary(String var0)

    - #### findLoadedClass

          protected final Class findLoadedClass(String var0)

    - #### findResource

          protected URL findResource(String var0)

    - #### findResources

          protected Enumeration findResources(String var0)
                                       throws IOException

      Throws:
        `IOException`

    - #### findSystemClass

          protected final Class findSystemClass(String var0)
                                         throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### getPackage

          protected Package getPackage(String var0)

    - #### getPackages

          protected Package[] getPackages()

    - #### getParent

          public final ClassLoader getParent()

    - #### getResource

          public URL getResource(String var0)

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String var0)

    - #### getResources

          public final Enumeration getResources(String var0)
                                         throws IOException

      Throws:
        `IOException`

    - #### getSystemClassLoader

          public static ClassLoader getSystemClassLoader()

    - #### getSystemResource

          public static URL getSystemResource(String var0)

    - #### getSystemResourceAsStream

          public static InputStream getSystemResourceAsStream(String var0)

    - #### getSystemResources

          public static Enumeration getSystemResources(String var0)
                                                throws IOException

      Throws:
        `IOException`

    - #### loadClass

          public Class loadClass(String var0)
                          throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### loadClass

          protected Class loadClass(String var0,
                        boolean var1)
                             throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### resolveClass

          protected final void resolveClass(Class var0)

    - #### setClassAssertionStatus

          public void setClassAssertionStatus(String var0,
                                     boolean var1)

    - #### setDefaultAssertionStatus

          public void setDefaultAssertionStatus(boolean var0)

    - #### setPackageAssertionStatus

          public void setPackageAssertionStatus(String var0,
                                       boolean var1)

    - #### setSigners

          protected final void setSigners(Class var0,
                        Object[] var1)